import numpy as np

datesMap = {
    'month': {'val': np.array(range(1,12+1)), 'offset':-1},
    'dayofweek': {'val': np.array(range(0,6+1)), 'offset':0},
    'day': {'val': np.array(range(1,31+1)), 'offset':-1},
    'hour': {'val': np.array(range(0,23+1)), 'offset':0},
    'minute': {'val': np.array(range(0,59+1)), 'offset':0},
    'second': {'val': np.array(range(0,59+1)), 'offset':0}
}

keysDates = datesMap.keys()

for k in keysDates:
    datesMap[k]['rad'] = np.flip(np.linspace(2*np.pi, 0, len(datesMap[k]['val']), endpoint=False))
    datesMap[k]['sin'] = np.sin(datesMap[k]['rad'])
    datesMap[k]['cos'] = np.cos(datesMap[k]['rad'])


ricList = ['.NDX',
  'AAPL.OQ',
  'ADBE.OQ',
  'ADI.OQ',
  'ADP.OQ',
  'ADSK.OQ',
  'AEP.OQ',
  'ALGN.OQ',
  'ALXN.OQ',
  'AMAT.OQ',
  'AMD.OQ',
  'AMGN.OQ',
  'AMZN.OQ',
  'ANSS.OQ',
  'ASML.OQ',
  'ATVI.OQ',
  'AVGO.OQ',
  'BIDU.OQ',
  'BIIB.OQ',
  'BKNG.OQ',
  'CDNS.OQ',
  'CDW.OQ',
  'CERN.OQ',
  'CHKP.OQ',
  'CHTR.OQ',
  'CMCSA.OQ',
  'COST.OQ',
  'CPRT.OQ',
  'CSCO.OQ',
  'CSX.OQ',
  'CTAS.OQ',
  'CTSH.OQ',
  'DLTR.OQ',
  'DOCU.OQ',
  'DXCM.OQ',
  'EA.OQ',
  'EBAY.OQ',
  'EXC.OQ',
  'FAST.OQ',
  'FB.OQ',
  'FISV.OQ',
  'FOX.OQ',
  'FOXA.OQ',
  'GILD.OQ',
  'GOOG.OQ',
  'GOOGL.OQ',
  'IDXX.OQ',
  'ILMN.OQ',
  'INCY.OQ',
  'INTC.OQ',
  'INTU.OQ',
  'ISRG.OQ',
  'JD.OQ',
  'KDP.OQ',
  'KHC.OQ',
  'KLAC.OQ',
  'LRCX.OQ',
  'LULU.OQ',
  'MAR.OQ',
  'MCHP.OQ',
  'MDLZ.OQ',
  'MELI.OQ',
  'MNST.OQ',
  'MRNA.OQ',
  'MRVL.OQ',
  'MSFT.OQ',
  'MTCH.OQ',
  'MU.OQ',
  'MXIM.OQ',
  'NFLX.OQ',
  'NTES.OQ',
  'NVDA.OQ',
  'NXPI.OQ',
  'OKTA.OQ',
  'ORLY.OQ',
  'PAYX.OQ',
  'PCAR.OQ',
  'PDD.OQ',
  'PEP.OQ',
  'PTON.OQ',
  'PYPL.OQ',
  'QCOM.OQ',
  'REGN.OQ',
  'ROST.OQ',
  'SBUX.OQ',
  'SGEN.OQ',
  'SIRI.OQ',
  'SNPS.OQ',
  'SPLK.OQ',
  'SWKS.OQ',
  'TCOM.OQ',
  'TEAM.OQ',
  'TMUS.OQ',
  'TSLA.OQ',
  'TXN.OQ',
  'VRSK.OQ',
  'VRSN.OQ',
  'VRTX.OQ',
  'WBA.OQ',
  'WDAY.OQ',
  'XEL.OQ',
  'XLNX.OQ',
  'ZM.OQ']